#include<iostream>
using namespace std;
// class
class Person { 
private: 
	int id;
	int location;
public:
	Person(int id) {
		location=0;
		this->id=id;
	}
	bool move(int d, int id) {
		if(this->id==id) {
			location+=d;
			return true;
		}
		return false;
	}
	void printLoc() {
		cout<<location;
	}
	void printID() {
		cout<<id;
	}
	bool operator>(const Person& p) const;
};
// operator overloading
bool Person::operator>(const Person& p) const {
	if(location > p.location)
		return true;
	else if(location==p.location && id > p.id)
		return true;
	
	return false;
}

int main() {
	// get input
	char type;
	Person* p[10];
	int pInd=0;
	while(cin>>type) {
		if(type=='P') {
			int id;
			cin>>id;
			p[pInd]=new Person(id);
			pInd++;
		} else if(type=='M') {
			int id, d;
			cin>>id>>d;
			for(int i=0; i<pInd; i++) {
				if(p[i]->move(d, id))
					break;
			}
		}
	}
	
	// sorting using operator >
	for(int i=0; i<pInd-1; i++) {
		for(int j=0; j<pInd-i-1; j++) {
			// remember to use '*' since the elements of our array is pointer
			if(*p[j]>*p[j+1]) {
				Person* temp=p[j];
				p[j]=p[j+1];
				p[j+1]=temp;
			}
		}
	}
	
	// output
	p[0]->printID();
	for(int i=1; i<pInd; i++) {
		cout<<" ";
		p[i]->printID();
	}
	cout<<endl;
	return 0;
}
