#include<iostream>
using namespace std;
// class
class Person {
private: 
	int id;
	int location[2];
	int direction[2];
public:
	Person(int id) {
		location[0]=0;
		location[1]=0;
		direction[0]=0;
		direction[1]=1;
		this->id=id;
	}
	// because the length of the direction vector is always 1
	// we can simply times the direction and the distance
	bool move(int d, int id) {
		if(this->id==id) {
			location[0]+=d*direction[0];
			location[1]+=d*direction[1];
			return true;
		}
		return false;
	}
	void printLoc() {
		cout<<"("<<location[0]<<", "<<location[1]<<")";
	}
	// turn right action can be formulated by a matrix [0 -1]
	//                                                 [1  0]
	// all vector can turn right 90 degree using this matrix
	bool turnRight(int id) {
		if(this->id==id) {
			int d0=direction[0];
			direction[0]=direction[1];
			direction[1]=-d0;
			return true;
		}
		return false;
	}
};

int main() {
	char type;
	Person* p[10];
	int pInd=0;
	while(cin>>type) {
		if(type=='P') {
			int id;
			cin>>id;
			p[pInd]=new Person(id);
			pInd++;
		} else if(type=='M') {
			int id, d;
			cin>>id>>d;
			for(int i=0; i<pInd; i++) {
				if(p[i]->move(d, id))
					break;
			}
		} else if(type=='T') {
			int id;
			cin>>id;
			for(int i=0; i<pInd; i++) {
				if(p[i]->turnRight(id))
					break;
			}
		}
	}
	p[0]->printLoc();
	for(int i=1; i<pInd; i++) {
		cout<<" ";
		p[i]->printLoc();
	}
	cout<<endl;
	return 0;
}
